import 'package:flutter/material.dart';

import 'package:abribbon/abribbon.dart';

class HomeScreen extends StatefulWidget {
  HomeScreen({Key? key}) : super(key: key);

  @override
  _HomeScreenState createState() => _HomeScreenState();
}

class _HomeScreenState extends State<HomeScreen> {
  String _interactiveText = 'ABRibbon Example';

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: Column(
        children: [
          ABRibbon(
            tabHeight: 56,
            itemBarHeight: 100,
            elevation: 1.5,
            primaryColor: Color(0xFFa01a58),
            secondaryColor: Colors.white,
            tabsCount: 2,
            ribbonTabs: [
              ABRibbonTabs('General'),
              ABRibbonTabs('More'),
            ],
            ribbonTabItems: [
              ABRibbonTabItem(
                ribbonGroupBoxes: [
                  ABRibbonGroupBox(
                    'Clipboard',
                    width: 175,
                    child: Row(
                      mainAxisAlignment: MainAxisAlignment.center,
                      children: [
                        ABRibbonLargeImageButton(
                          imageUrl: 'assets/icons8-paste-as-text-80.png',
                          label: Text(
                            'Paste',
                            style: TextStyle(fontSize: 13.0),
                          ),
                          onTap: () {
                            setState(() {
                              _interactiveText = 'Paste';
                            });
                          },
                        ),
                        VerticalDivider(
                          indent: 8.0,
                          endIndent: 8.0,
                        ),
                        Column(
                          crossAxisAlignment: CrossAxisAlignment.start,
                          children: [
                            ABRibbonSmallImageButton(
                              imageUrl: 'assets/icons8-cut-80.png',
                              label: Text(
                                'Cut',
                                style: TextStyle(fontSize: 12.0),
                              ),
                              onTap: () {
                                setState(() {
                                  _interactiveText = 'Cut';
                                });
                              },
                            ),
                            ABRibbonSmallImageButton(
                              imageUrl: 'assets/icons8-copy-80.png',
                              label: Text(
                                'Copy',
                                style: TextStyle(fontSize: 12.0),
                              ),
                              onTap: () {
                                setState(() {
                                  _interactiveText = 'Copy';
                                });
                              },
                            ),
                            ABRibbonSmallImageButton(
                              imageUrl: 'assets/icons8-clear-formatting-80.png',
                              label: Text(
                                'Format Painter',
                                style: TextStyle(fontSize: 12.0),
                              ),
                              onTap: () {
                                setState(() {
                                  _interactiveText = 'Format Painter';
                                });
                              },
                            ),
                          ],
                        ),
                      ],
                    ),
                  ),
                  ABRibbonGroupBox(
                    'Operations',
                    child: Row(
                      mainAxisAlignment: MainAxisAlignment.center,
                      children: [
                        ABRibbonLargeImageButton(
                          imageUrl: 'assets/icons8-add-property-80.png',
                          label: Text(
                            'Add',
                            style: TextStyle(fontSize: 12.0),
                          ),
                          onTap: () {
                            setState(() {
                              _interactiveText = 'Add';
                            });
                          },
                        ),
                        ABRibbonLargeImageButton(
                          imageUrl: 'assets/icons8-edit-property-80.png',
                          label: Text(
                            'Edit',
                            style: TextStyle(fontSize: 12.0),
                          ),
                          onTap: () {
                            setState(() {
                              _interactiveText = 'Edit';
                            });
                          },
                        ),
                        ABRibbonLargeImageButton(
                          imageUrl: 'assets/icons8-delete-document-80.png',
                          label: Text(
                            'Delete',
                            style: TextStyle(fontSize: 12.0),
                          ),
                          onTap: () {
                            setState(() {
                              _interactiveText = 'Delete';
                            });
                          },
                        ),
                      ],
                    ),
                    isLast: true,
                  ),
                ],
              ),
              ABRibbonTabItem(
                ribbonGroupBoxes: [
                  ABRibbonGroupBox(
                    'Printing',
                    child: Row(
                      children: [
                        ABRibbonLargeImageButton(
                          imageUrl: 'assets/icons8-print-80.png',
                          label: Text(
                            'Print',
                            style: TextStyle(
                              fontSize: 12.0,
                            ),
                          ),
                          onTap: () {
                            setState(() {
                              _interactiveText = 'Print';
                            });
                          },
                        ),
                        SizedBox(width: 4.0),
                        ABRibbonLargeImageButton(
                          imageUrl: 'assets/icons8-printer-maintenance-80.png',
                          label: Text(
                            'Printer Settings',
                            style: TextStyle(
                              fontSize: 12.0,
                            ),
                          ),
                          onTap: () {
                            setState(() {
                              _interactiveText = 'Printer Settings';
                            });
                          },
                        ),
                        SizedBox(width: 4.0),
                        ABRibbonLargeImageButton(
                          imageUrl: 'assets/icons8-analyze-80.png',
                          label: Text(
                            'Analyze',
                            style: TextStyle(
                              fontSize: 12.0,
                            ),
                          ),
                          onTap: () {
                            setState(() {
                              _interactiveText = 'Analyze';
                            });
                          },
                        ),
                      ],
                    ),
                  ),
                  ABRibbonGroupBox(
                    'Information',
                    isLast: true,
                    child: ABRibbonLargeImageButton(
                      imageUrl: 'assets/icons8-info-80.png',
                      label: Text(
                        'About',
                        style: TextStyle(
                          fontSize: 12.0,
                        ),
                      ),
                      onTap: () {
                        setState(() {
                          _interactiveText = 'About!';
                        });
                      },
                    ),
                  ),
                ],
              ),
            ],
          ),
          Expanded(
            child: Center(
              child: Text(
                _interactiveText,
                style: TextStyle(
                  fontSize: 120.0,
                  fontWeight: FontWeight.bold,
                ),
              ),
            ),
          ),
        ],
      ),
    );
  }
}
