library abribbonk;

import 'package:flutter/material.dart';

class ABRibbonLargeImageButton extends StatelessWidget {
  const ABRibbonLargeImageButton({
    Key? key,
    this.imageHeight = 38.0,
    this.minWidth = 62.0,
    required this.imageUrl,
    required this.label,
    required this.onTap,
  }) : super(key: key);

  final String imageUrl;
  final double minWidth;
  final double imageHeight;
  final Text label;
  final VoidCallback onTap;

  @override
  Widget build(BuildContext context) {
    return Container(
      constraints: BoxConstraints(minWidth: minWidth),
      child: Material(
        child: InkWell(
          onTap: onTap,
          child: Padding(
            padding: const EdgeInsets.symmetric(horizontal: 4.0, vertical: 4.0),
            child: Column(
              children: [
                Image.asset(
                  imageUrl,
                  height: imageHeight,
                  filterQuality: FilterQuality.high,
                ),
                SizedBox(height: 4.0),
                label,
              ],
            ),
          ),
        ),
      ),
    );
  }
}

class ABRibbonSmallImageButton extends StatelessWidget {
  const ABRibbonSmallImageButton({
    Key? key,
    this.imageHeight = 16.0,
    this.minWidth = 18.0,
    required this.imageUrl,
    required this.label,
    required this.onTap,
  }) : super(key: key);

  final String imageUrl;
  final double minWidth;
  final double imageHeight;
  final Text label;
  final VoidCallback onTap;

  @override
  Widget build(BuildContext context) {
    return Container(
      constraints: BoxConstraints(minWidth: minWidth),
      child: Material(
        child: InkWell(
          onTap: onTap,
          child: Padding(
            padding: const EdgeInsets.symmetric(horizontal: 4.0, vertical: 4.0),
            child: Row(
              children: [
                Image.asset(
                  imageUrl,
                  height: imageHeight,
                  filterQuality: FilterQuality.high,
                ),
                SizedBox(width: 4.0),
                label,
              ],
            ),
          ),
        ),
      ),
    );
  }
}
