library abribbon;

import 'package:flutter/material.dart';

class ABRibbonGroupBox extends StatelessWidget {
  const ABRibbonGroupBox(
    this.groupBoxHeader, {
    Key? key,
    this.isLast = false,
    this.width = 100,
    required this.child,
  }) : super(key: key);

  final double width;
  final Widget child;
  final String groupBoxHeader;
  final bool isLast;

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: const EdgeInsets.only(left: 8.0, right: 8.0, top: 8.0),
      child: Row(
        children: [
          Container(
            constraints: BoxConstraints(minWidth: width),
            child: Column(
              crossAxisAlignment: CrossAxisAlignment.center,
              mainAxisAlignment: MainAxisAlignment.center,
              children: [
                Spacer(),
                child,
                Spacer(),
                Text(
                  groupBoxHeader,
                  style: TextStyle(
                    fontSize: 11.0,
                    color: Colors.black54,
                  ),
                ),
              ],
            ),
          ),
          isLast
              ? SizedBox()
              : VerticalDivider(
                  indent: 8.0,
                  endIndent: 8.0,
                ),
        ],
      ),
    );
  }
}
